lua activation

General discussion about Elmer
Post Reply
jjmceld
Posts: 9
Joined: 22 Nov 2018, 19:05
Antispam: Yes

lua activation

Post by jjmceld »

Hello,

I am getting the following error message,

ELMER SOLVER (v 8.4) STARTED AT: 2021/05/01 21:38:29
ParCommInit: Initialize #PEs: 1
MAIN:
MAIN: =============================================================
MAIN: ElmerSolver finite element software, Welcome!
MAIN: This program is free software licensed under (L)GPL
MAIN: Copyright 1st April 1995 - , CSC - IT Center for Science Ltd.
MAIN: Webpage http://www.csc.fi/elmer, Email elmeradm@csc.fi
MAIN: Version: 8.4 (Rev: unknown, Compiled: 2020-06-26)
MAIN: Running one task without MPI parallelization.
MAIN: Running with just one thread per task.
MAIN: HYPRE library linked in.
MAIN: MUMPS library linked in.
MAIN: =============================================================
LoadInputFile: Reading only "Run Control" section
MAIN:
MAIN:
MAIN: -------------------------------------
MAIN: Reading Model: case_23abril2021_txt.sif
LoadInputFile: Scanning input file: case_23abril2021_txt.sif
LoadInputFile: Scanning only size info
LoadInputFile: First time visiting
LoadInputFile: Reading base load of sif file
ERROR:: ReadAndTrim: LUA not included, cannot continue
STOP 1

I suspect that lua is not active, how can I activate lua?

Thank you and looking forward to an answer.

John.
kevinarden
Posts: 1157
Joined: 25 Jan 2019, 01:28
Antispam: Yes

Re: lua activation

Post by kevinarden »

It is done at installation or compilation.
jjmceld
Posts: 9
Joined: 22 Nov 2018, 19:05
Antispam: Yes

Re: lua activation

Post by jjmceld »

Hi,

But why ElmerSolver shows while running?,

"ERROR:: ReadAndTrim: LUA not included, cannot continue

STOP 1"

And it does not continue running, which means it stops the expected results of the code as the message shows, "STOP 1". ¿Is there a way to active lua within de code program? or a linux command to active lua before running de sif file?

Thanks and looking forward to an answer.
kevinarden
Posts: 1157
Joined: 25 Jan 2019, 01:28
Antispam: Yes

Re: lua activation

Post by kevinarden »

What system OS and how/when did you install Elmer?
jjmceld
Posts: 9
Joined: 22 Nov 2018, 19:05
Antispam: Yes

Re: lua activation

Post by jjmceld »

The OS is Ubuntu 18.04.4 LTS and Elmer version is 8.4. I installed lua using the following commands,

sudo apt install lua5.3
sudo apt install build-essential libreadline-dev

curl -R -O http://www.lua.org/ftp/lua-5.4.3.tar.gz
tar zxf lua-5.4.3.tar.gz
cd lua-5.4.3
make all test

According to wikipedia, the lua stable version is 5.4.3.

Thanks and looking forward to an answer.
kevinarden
Posts: 1157
Joined: 25 Jan 2019, 01:28
Antispam: Yes

Re: lua activation

Post by kevinarden »

How and when did you install Elmer version 8.4?
raback
Site Admin
Posts: 4131
Joined: 22 Aug 2009, 11:57
Antispam: Yes
Location: Espoo, Finland
Contact:

Re: lua activation

Post by raback »

Hi

Lua needs to be included at the time of compilation. So you cannot just add it to an existing installation. In the cmake files you should have something like:

Code: Select all

-DWITH_LUA:BOOL=TRUE
The lua source files are bundled so this usually goes smoothly. The various pre-compiled versions of Elmer should have this. Then you see something like:
MAIN: HYPRE library linked in.
MAIN: MUMPS library linked in.
MAIN: Lua interpreted linked in.
MAIN: Zoltan library linked in.
Version 8.4 is probably 2-3 years old. You should rather use a version that is up to date.

-Peter
Post Reply